#pragma once

#define PCID_DISK (0x00000001)
#define PCID_MAC  (0x00000002)
#define PCID_CPU  (0x00000004)
#define PCID_BIOS (0x00000008)

class CPCIDCalculator
{
public:
	CPCIDCalculator(void);
public:
	~CPCIDCalculator(void);
public:
	int  CalculatePCID( char buf[16]);
	//int  GetPCBrand( char * buf, int buflen );
	//int  GetPCModel( char * buf, int buflen );
	//int  GetPCMac( char * buf, int buflen );
	bool IsWin7OS();
	int GetMac( char * buf, int len );
};
